Package org.springframework.scheduling.annotation

# Interface SchedulingConfigurer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface SchedulingConfigurer
Optional interface to be implemented by `@Configuration` classes annotated with `@EnableScheduling`. Typically used for setting a specific `TaskScheduler` bean to be used when executing scheduled tasks or for registering scheduled tasks in a programmatic fashion as opposed to the declarative approach of using the `@Scheduled` annotation. For example, this may be necessary when implementing `Trigger`-based tasks, which are not supported by the `@Scheduled` annotation.

See `@EnableScheduling` for detailed usage examples.

Since:
  3.1
Author:
  Chris Beams
See Also:
  - `EnableScheduling`
  - `ScheduledTaskRegistrar`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureTasks(ScheduledTaskRegistrar taskRegistrar)`
Callback allowing a `TaskScheduler` and specific `Task` instances to be registered against the given the `ScheduledTaskRegistrar`.

## Method Details

### configureTasks

void configureTasks(ScheduledTaskRegistrar taskRegistrar)
Callback allowing a `TaskScheduler` and specific `Task` instances to be registered against the given the `ScheduledTaskRegistrar`.

Parameters:
  `taskRegistrar` - the registrar to be configured